Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class Jdk

- org.gradle.plugins.ide.idea.model.Jdk

- Represents information for the project Java SDK. This translates to attributes of the ProjectRootManager element in the ipr.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `assertKeyword`
    `boolean` | `jdk15`
    `String` | `languageLevel`
    `String` | `projectJdkName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Jdk (String jdkName, IdeaLanguageLevel ideaLanguageLevel)`
    `Jdk (def assertKeyword, def jdk15, def languageLevel, def projectJdkName)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(def o)`
    `int` | `hashCode()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean assertKeyword

    - #### boolean jdk15

    - #### String languageLevel

    - #### String projectJdkName

  - ### Constructor Detail

    - #### Jdk(String jdkName, IdeaLanguageLevel ideaLanguageLevel)

    - #### Jdk(def assertKeyword, def jdk15, def languageLevel, def projectJdkName)

  - ### Method Detail

    - #### boolean equals(def o)

    - #### int hashCode()

    - #### String toString()